Subject: Re: draft-nadeau-l2vpn-vpls-mib-01.txt

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 6 Nov 2006 09:37:34 -0800

Hi,

	Sorry for delay. The response was to an email
account I don't read very often.

> Hi.... I only did a very very quick scan of the MIB module
> in the document. Here are some findings (I understand this
> is not yet at WGLC, so understandably somethings are not
> yet in good shape):
>
> - Read-write objects/tables need to specify persistency behaviour
>   This should be well know to this WG and the authors by now,
>   and I keep encouring that people do so from the very first stages
>   of writing a MIB document.

	There is still discussion about whether or not
to make these modules read-only, which is why we avoided
spending much time on the above.

> - There is two times the copyright statement in the DESCRIPTION
>   clause of vplsGenericDraft01MIB.
> - In DESCRIPTION clause of vplsConfigEntry it is stated that
>   an active row CANNOT be changed, while in the RowStatus
>   object of that table he states that an active row CAN be
>   changed. That is conflicting info.
> - naming concepts/consistency
>     VplsConfigEntry ::=
>        SEQUENCE {
>         vplsIndex                                Unsigned32,
>         vplsName                                 SnmpAdminString,
>         vplsDescr                                SnmpAdminString,
>         vplsAdminStatus                          INTEGER,
>         vplsMacLearning                          TruthValue,
>         vplsDiscardUnknownDest                   TruthValue,
>         vplsMacAging                             TruthValue,
>         vplsConfigFwdFullHighWatermark           Unsigned32,
>         vplsConfigFwdFullLowWatermark            Unsigned32,
>         vplsRowStatus                            RowStatus,
>         vplsMtu                                  Unsigned32
>          }
>   I would have all those objects have a prefix of vplsConfigXxxx
> - same naming issue here:
>     VplsStatusEntry ::=
>        SEQUENCE {
>         vplsOperStatus                        INTEGER,
>         vplsVpnId                             VPNIdOrZero
>          }
> - and here:
>       VplsPwBindEntry ::=
>           SEQUENCE {
>               vplsPwIndex                     PwIndexType,
>               vplsPwConfigType              INTEGER,
>               vplsPwBindRowStatus             RowStatus
>           }
> - the vplsModuleReadOnlyCompliance seems bogus to me.
>   - all groups seem mandatory, but listed separately instead of
>     being listed as MANDATORY-GROUPS
>   - speaks about ReadOnly compliance while non of the writable
>     objects are specified as being OK to be supported read-only

	It is there as a place-holder for now. I didn't
want to focus too much on the conformance statements until
the objects are solid since the conformance clauses
can be very time consuming. I think the next version will be
pretty stable, so we can address the conformance clauses then.

> I have no looked at the other MIB module in there; Please make
> sure that if any similar issues as above are in that module that
> you also address them.

	Agreed, and thanks for reviewing.

	--Tom

>
> Hope this helps,
> Bert
>
>
>> -----Original Message-----
>> From: Thomas D. Nadeau [mailto:[email-masked]]
>> Sent: Thursday, September 14, 2006 16:22
>> To: [email-masked]
>> Cc: Shane Amante; Vach Kompella; A Kiran Koushik S
>> Subject: draft-nadeau-l2vpn-vpls-mib-01.txt
>>
>>
>>
>> 	L2VPN WG,
>>
>> 	Kiran and I have worked hard to try to incorporate
>> all of the comments brought by the WG after we presented
>> the draft. Many objected to the document being accepted
>> as a WG draft until these things were incorporated. Now
>> that most of these comments have been added, we would
>> like to again ask that the document be accepted as a
>> L2 VPN WG draft.
>>
>> 	--Tom
>>
>>
>>